Subject: Re: bug#10178: 24.0.92; emacs -q frame too short for fancy splash image

From: Jan Djärv <[email-masked]>
Date: Fri, 16 Dec 2011 07:29:53 +0100

Hi

15 dec 2011 kl. 22:27 skrev Juri Linkov <[email-masked]>:

>>> So I guess Emacs does the right thing after all.  However, we could think
>>> about changing the condition for showing the splash image or shrinking the
>>> splash image or reduce the amount of text.
>> 
>> I think slightly shrinking the image -- either unconditionally or
>> conditioned on the value of image-height? -- would be fine.  Or, as I
>> noted earlier, I also get the image if frame-height is 36 instead of the
>> current default of 35.
> 
> Shrinking the image would require ImageMagick that is not always available.
> But I think not showing the image would be better, and this is already possible
> by calling the fancy function with the argument `concise' equal to t.

I was thinking of shrinking the original image file. Not at runtime.

     Jan D.